
Name:           guiloader-c++
Version:        2.10.0
Release:        0.1
Summary:        A C++ binding to the GuiLoader library
Vendor:		      The Crow Designer Project

Group:          System Environment/Libraries
License:        LGPL
URL:            http://crow-designer.sourceforge.net
Source0:        http://dl.sourceforge.net/crow-designer/%{name}-2.10.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv:    no

Requires:       guiloader >= 2.10.0
Requires:       gtkmm24 >= 2.10.0

BuildRequires:  guiloader-devel >= 2.10.0
BuildRequires:  gtkmm24-devel >= 2.10.0


%description
GuiLoader/C++ is a C++ binding to the GuiLoader library. It is a convenience layer that simplifies development of GuiLoader based applications written in the C++ language by introducing exception safety, binding GTK+ objects defined in GuiXml to C++ variables and type-safe dynamic connection to signals.


%package devel
Summary:        Headers for developing programs that will use GuiLoader/C++
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       guiloader-devel
Requires:       gtkmm24-devel
Requires:       pkgconfig


%description devel
This package contains the header files needed for developing GuiLoader/C++ applications.


%prep
%setup -q -n %{name}-2.10.0


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}.so


%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

